Bug 175081 - Changing project's properties don't affect pom.xml
Changing project's properties don't affect pom.xml
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Maven
6.x
All All
: P2 (vote)
: 6.x
Assigned To: David Simonek
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-21 10:31 UTC by Michal Mocnak
Modified: 2009-11-26 02:56 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Mocnak 2009-10-21 10:31:33 UTC
Steps:

1. create a new maven project
2. open project properties dialog
3. in the general tab try to change any value

=> the pom.xml is not affected, only way how to change project properties is to modify pom.xml manually it's P3 issue

Marking as P2 due to consistency. User is being learned in whole IDE he cannot modify configuration files manually -> for almost every functionality he has 
some kind of editor or designer
Comment 1 David Simonek 2009-10-21 14:18:15 UTC
:-)
Comment 2 David Simonek 2009-10-21 17:00:16 UTC
fixed: 246f473aa2cd

Btw, this bug had to be here for more than a year, it seems that nearly nobody is using customizer for changing Maven
coordinates...
Comment 3 Quality Engineering 2009-10-28 11:47:08 UTC
Integrated into 'main-golden', will be available in build *200910280201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/246f473aa2cd
User: Dafe Simonek <dsimonek@netbeans.org>
Log: #175081: corrected parameter for markAsModified(...) call, added assertion to check param type
Comment 4 Jaroslav Pospisil 2009-11-11 08:20:27 UTC
v.
Comment 5 jpleed3 2009-11-25 11:11:18 UTC
I'm experiencing some problems with pom.xml not updating in build 200911220201, both in the Project Properties and when adding / removing dependencies. The projects are J6EE webapps, but I can't replicate with a new project. Are there any logging options I can turn on?
Comment 6 David Simonek 2009-11-26 02:19:07 UTC
jpleed3, it's another bug. This bug was about solely about project properties and they were never propagated to the pom.
What you describe is random bug that we're experiencing for a long time, but as we have no reproducible steps to make the error happen, we were not able to fix it.

Please, if you have reproducible steps and/or project on which it happens regularly and that you can share with us, file new bug and attach mentioned project there, thanks.
Comment 7 Michal Mocnak 2009-11-26 02:56:34 UTC
Verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo